Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface OperatingSystem

    org.gradle.nativebinaries.OperatingSystem
      org.gradle.api.Named

All Superinterfaces:
  Named

    @Incubating
    public interface OperatingSystem
    extends Named

A machine operating system.

Method Summary
`boolean` | `isCurrent()`
`boolean` | `isLinux()`
`boolean` | `isMacOsX()`
`boolean` | `isSolaris()`
`boolean` | `isWindows()`

Methods inherited from interface Named
getName

Method Detail

### isCurrent

    public boolean isCurrent()

### isLinux

    public boolean isLinux()

### isMacOsX

    public boolean isMacOsX()

### isSolaris

    public boolean isSolaris()

### isWindows

    public boolean isWindows()

Gradle API 1.10